EDIT - bug #6861

Number format exception in BHL Query when detail is not a pure number
07/31/2017 06:46 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:
Description

Hallo,

im Details view, Name, protologue — Knopf Query BHL kommt untenst. Fehler.

HG

Walter

login : w.berendsohn

editor version : 4.9.0.201707182249

server : test.e-taxonomy.eu (edit-test)

schema version : 4.7.0.0.201710040000
os : Windows 7 6.1 amdo4

java : 1.8.0_131

java.lang.NumberFormatException:
For input string: "538-541, t. 213"

java.lang.NumberFormatException.forInputString (Unknown Source)

java.lang.Integer.parselnt (Unknown Source)

java.lang.Integer.valueOf (Unknown Source)

eu.etaxonomy.cdm.ext.openurl.MobotOpenUrlServiceWrapper.parsePageNumber (MobotOp
enUrlServiceWrapper. java:173)
eu.etaxonomy.cdm.ext.openurl.MobotOpenUrlServiceWrapper.doResolve (MobotOpenUrlS

eu.etaxonomy.taxeditor.ui.openurl.OpenUrlSelectorWizard.getResult (OpenUrlSelect

eu.etaxonomy.taxeditor.ui.openurl.OpenUrlResultPage.createControl (OpenUrlResult
.wizard.Wizard.createPageControls (Wizard. java:175)
wizard.WizardDialog.createPageControls (WizardDialog. java:696)
wizard.WizardDialog.createContents (WizardDialog. java:588)
window.Window.create (Window. java:426)
dialogs.Dialog.create (Dialog. java:1095)
window.Window.open (Window. java:783)

eu.etaxonomy.taxeditor.ui.openurl.OpenUrlSelectorElement.widgetSelected (OpenUrl

SelectorElement. java:78)

at
at
at
at
at
at
at
gEngine.java:1121)
at
at
ngine.java:1022)
at
a:150)
at
at
at
at
at
at

04/25/2024

org

org

org.
.eclipse.

org

org.

org

org.

org

org.
org.
.eclipse.

org

.eclipse.
org.
org.
.eclipse.

eclipse.
eclipse.

eclipse.

eclipse.

.eclipse.
org.

eclipse.

eclipse.

.eclipse.

eclipse.
eclipse.

swt.
swt.
swt.
swt.
swt.

swt

widgets.
widgets.
widgets.
.Widget.sendEvent (Widget. java:1079)
TypedListener.handleEvent (TypedListener. java:249)
EventTable.sendEvent (EventTable. java:84)
Display.sendEvent (Display. java:4418)

Display.runDeferredEvents (Display.java:4236)
Display.readAndDispatch (Display. java:3824)

ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderin

core.databinding.observable.Realm.runWithDefault (Realm. java:336)

ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingE

ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. jav

ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)

ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196
at org.eclipse.core.runtime.
ipseAppLauncher. java:134)

at org.eclipse.core.runtime.
uncher. java:104)

at org.eclipse.core.runtime.

at org.eclipse.core.runtime.

internal.adaptor.EclipseAppLauncher.runApplication (Ecl
internal.adaptor.EclipseAppLauncher.start (EclipseAppLa

adaptor.EclipseStarter.run (EclipseStarter. java:388)
adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.

invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

see also duplicate #6768

Related issues:

Has duplicate EDIT - bug #6768: NumberFormatException during BHL query Duplicate

History

#1 - 07/31/2017 06:49 PM - Andreas Miuller

The reason is that the BHL query tries to find the correct page by computing the offset. This is not possible if details is not a number.

Is there another possibility to compute the page or do we have deny the request for these cases?

#2 - 08/01/2017 01:59 PM - Walter Berendsohn

a) Link only to publication, not to page

b) Calculate page by using a function like the Val(string) function in VB for the Detail. Val() returns the first number found in the string (that should

usually hit at least one of the pages).

#3 - 10/27/2021 01:37 AM - Andreas Miiller

- Has duplicate bug #6768: NumberFormatException during BHL query added

#4 - 10/27/2021 01:38 AM - Andreas Miiller

- Description updated

#5 - 09/14/2022 05:35 PM - Andreas Miuller

- Assignee changed from Andreas Kohlbecker to Andreas Mliller
https://dev.e-taxonomy.eu/redmine/issues/6768
http://www.tcpdf.org

